GIT-SHELL(1)

NAME
git-shell - Restricted login shell for GIT over SSH only

SYNOPSIS
git-shell -c <command> <argument>.sp

DESCRIPTION
This is meant to be used as a login shell for SSH accounts you want to restrict to GIT pull/push access only. It permits execution only of server-side GIT commands implementing the pull/push functionality. The commands can be executed only by the -c option; the shell is not interactive..sp Currently, only the git-receive-pack and git-upload-pack commands are permitted to be called, with a single required argument..sp

AUTHOR
Written by Linus Torvalds <torvalds@osdl.org>.sp

DOCUMENTATION
Documentation by Petr Baudis and the git-list <git@vger.kernel.org>..sp

GIT
Part of the git(7) suite.sp